# ``twisted`.`web`.`template`.`XMLString``

class documentation

`class XMLString: (source)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads and parses XML from a string.

Method | `__init__` | Run the parser on a `io.StringIO` copy of the string.
Method | `load` | Return the document.
Instance Variable | `_loadedTemplate` | The loaded document.

def __init__(self, s): (source)
Run the parser on a `io.StringIO` copy of the string.

Parameters
s:`str`, or a UTF-8 encoded `bytes`. | The string from which to load the XML.

def load(self): (source)
from `twisted.web.iweb.ITemplateLoader`
Return the document.

Returns
`List[Flattenable]` | the loaded document.

_loadedTemplate: `List[Flattenable]` = (source)
The loaded document.